public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alexis Ballier" <aballier@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pid/
Date: Tue, 19 Jan 2016 10:46:24 +0000 (UTC)	[thread overview]
Message-ID: <1453200373.3ec0114c77f11fcd09acaa9bcf8afd9e09a9a557.aballier@gentoo> (raw)

commit:     3ec0114c77f11fcd09acaa9bcf8afd9e09a9a557
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 19 10:45:47 2016 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Tue Jan 19 10:46:13 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3ec0114c

dev-python/pid: initial import; ebuild by me

Package-Manager: portage-2.2.27
Signed-off-by: Alexis Ballier <aballier <AT> gentoo.org>

 dev-python/pid/Manifest         |  1 +
 dev-python/pid/metadata.xml     | 13 +++++++++++++
 dev-python/pid/pid-2.0.1.ebuild | 26 ++++++++++++++++++++++++++
 3 files changed, 40 insertions(+)

diff --git a/dev-python/pid/Manifest b/dev-python/pid/Manifest
new file mode 100644
index 0000000..d0cf9b9
--- /dev/null
+++ b/dev-python/pid/Manifest
@@ -0,0 +1 @@
+DIST pid-2.0.1.tar.gz 9373 SHA256 054cde9c64b8ac979ec27f714e71ebb97ecf8388ea5fe29f6b93db222e92d433 SHA512 10dcded5b52c415a2fa653afdd85e5fbb06433149eee63f306ff84f225086492048db0341bf3a6e448d0654ba4c02afdb72343c0b111bc9682f2248cc4c3817a WHIRLPOOL 801386fcb80d5a7b16793cc5fd9eb6622aa303d7f8be5142f3fd10dc0453ab573b227e06a9b35dc8f3048b5019017db395c40b8c5fce65b086354cfde4853024

diff --git a/dev-python/pid/metadata.xml b/dev-python/pid/metadata.xml
new file mode 100644
index 0000000..fca014d
--- /dev/null
+++ b/dev-python/pid/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+  <herd>python</herd>
+  <maintainer>
+    <email>aballier@gentoo.org</email>
+    <name>Alexis Ballier</name>
+    <description>Python team can take the package if they wish.</description>
+  </maintainer>
+  <upstream>
+    <remote-id type="pypi">pid</remote-id>
+  </upstream>
+</pkgmetadata>

diff --git a/dev-python/pid/pid-2.0.1.ebuild b/dev-python/pid/pid-2.0.1.ebuild
new file mode 100644
index 0000000..6e0114e
--- /dev/null
+++ b/dev-python/pid/pid-2.0.1.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+
+inherit distutils-r1
+
+DESCRIPTION="Pidfile featuring stale detection and file-locking"
+HOMEPAGE="https://pypi.python.org/pypi/pid https://github.com/trbs/pid/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="Apache-2.0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+	test? ( dev-python/nose[${PYTHON_USEDEP}] )"
+
+python_test() {
+	nosetests || die
+}


             reply	other threads:[~2016-01-19 10:46 UTC|newest]

Thread overview: 21+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-01-19 10:46 Alexis Ballier [this message]
  -- strict thread matches above, loose matches on Subject: below --
2016-01-21 15:12 [gentoo-commits] repo/gentoo:master commit in: dev-python/pid/ Alexis Ballier
2016-10-10 11:05 Alexis Ballier
2017-01-06 23:00 Patrice Clement
2017-01-06 23:00 Patrice Clement
2018-02-24 12:31 Alexis Ballier
2018-06-24  9:40 Mikle Kolyada
2019-11-29 19:54 Michał Górny
2019-12-29 13:06 David Seifert
2020-03-28 11:59 Michał Górny
2020-11-14  8:55 Michał Górny
2020-12-17 17:09 Michał Górny
2021-08-21  6:54 Arthur Zamarin
2021-08-21  6:54 Arthur Zamarin
2022-06-05 18:01 Arthur Zamarin
2022-06-05 18:01 Arthur Zamarin
2022-07-10 19:12 Sam James
2022-07-10 19:16 Michał Górny
2023-05-26 21:12 Arthur Zamarin
2023-11-24 15:45 Arthur Zamarin
2024-05-18  6:58 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1453200373.3ec0114c77f11fcd09acaa9bcf8afd9e09a9a557.aballier@gentoo \
    --to=aballier@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox